com.sun.syndication.feed.rss

## Class Cloud

- java.lang.Object
- - com.sun.syndication.feed.rss.Cloud

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Cloud
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Bean for clouds of RSS feeds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Cloud()` Default constructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getDomain()` Returns the cloud domain.
`java.lang.String` `getPath()` Returns the cloud path.
`int` `getPort()` Returns the cloud port.
`java.lang.String` `getProtocol()` Returns the cloud protocol.
`java.lang.String` `getRegisterProcedure()` Returns the cloud register procedure.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setDomain(java.lang.String domain)` Sets the cloud domain.
`void` `setPath(java.lang.String path)` Sets the cloud path.
`void` `setPort(int port)` Sets the cloud port.
`void` `setProtocol(java.lang.String protocol)` Sets the cloud protocol.
`void` `setRegisterProcedure(java.lang.String registerProcedure)` Sets the cloud register procedure.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Cloud

    public Cloud()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getDomain

    public java.lang.String getDomain()

Returns the cloud domain.

Returns:
  the cloud domain, null if none.

#### setDomain

    public void setDomain(java.lang.String domain)

Sets the cloud domain.

Parameters:
  `domain` - the cloud domain to set, null if none.

#### getPort

    public int getPort()

Returns the cloud port.

Returns:
  the cloud port, null if none.

#### setPort

    public void setPort(int port)

Sets the cloud port.

Parameters:
  `port` - the cloud port to set, null if none.

#### getPath

    public java.lang.String getPath()

Returns the cloud path.

Returns:
  the cloud path, null if none.

#### setPath

    public void setPath(java.lang.String path)

Sets the cloud path.

Parameters:
  `path` - the cloud path to set, null if none.

#### getRegisterProcedure

    public java.lang.String getRegisterProcedure()

Returns the cloud register procedure.

Returns:
  the cloud register procedure, null if none.

#### setRegisterProcedure

    public void setRegisterProcedure(java.lang.String registerProcedure)

Sets the cloud register procedure.

Parameters:
  `registerProcedure` - the cloud register procedure to set, null if none.

#### getProtocol

    public java.lang.String getProtocol()

Returns the cloud protocol.

Returns:
  the cloud protocol, null if none.

#### setProtocol

    public void setProtocol(java.lang.String protocol)

Sets the cloud protocol.

Parameters:
  `protocol` - the cloud protocol to set, null if none.